kn007的个人博客
♥ You are here: > > > 更新至WordPress 5.0

更新至WordPress 5.0

by | 26 Comments

好像很久没以这个文章开头了。

今天更新到WordPress 5.0和PHP 7.3.0。

WordPress 5.0 "Bebo" 正式发布,没什么说的,一上来Block Editor就来下马威,直接错误。

然后不保存关闭文章编辑页面,就把我文章标签删了。

看了下源码后,直接在functions.php加上如下语句即可停用Block Editor,用回旧版。

add_filter( 'use_block_editor_for_post', '__return_false', 999 );
remove_action( 'wp_enqueue_scripts', 'wp_common_block_scripts_and_styles' );

第二句是去掉头部引用的“wp-block-library”。

其他暂时没发现什么问题。

PHP 7.3.0编译时,在CentOS 7上出现错误,原因是系统libzip版本太低,更新最新版libzip需要新版CMake,而CMake最新版需要最新版的libuv,一环扣一环,在编译了新版后,总算成功编译好了PHP 7.3.0,测试结果,速度貌似有小幅提升。


另外 Google 新推出的网站检测工具:https://web.dev/

转载请注明转自:kn007的个人博客的《更新至WordPress 5.0

donate
有所帮助?

Comments

26 Comments立即评论
Loading...
  1. 回复

    5.0的后台编辑用着超级舒服 ;-)

    1. MOD回复

      @4Rou: 还行吧。。

  2. 回复

    偶尔看到还有坚持做独立博客的人都要关注下, 浏览了有半小时了, 博主自强, 我是当天收到推送就升级的, 块模式有点不习惯, 我还是喜欢markdown写好转成html复制进去. 最后还是用回老版编辑器了. :!:

    1. MOD回复

      @Sam.Z: 我喜欢纯文本模式。。

  3. LV1回复

    古騰堡編輯器用的實在不習慣 :???:

    1. MOD回复

      @Kreen: 是啊,不大習慣。我覺得還是需要回歸經典。

  4. 回复

    博客圈走了一圈,发现大多数博主都不习惯新的古滕堡编辑器,我反倒是用着特别顺手……

    1. MOD回复

      @陈仓颉: 也要能用才行。...

icon_wink.gificon_neutral.gificon_mad.gificon_twisted.gificon_smile.gificon_eek.gificon_sad.gificon_rolleyes.gificon_razz.gificon_redface.gificon_surprised.gificon_mrgreen.gificon_lol.gificon_idea.gificon_biggrin.gificon_evil.gificon_cry.gificon_cool.gificon_arrow.gificon_confused.gificon_question.gificon_exclaim.gif